package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.module.system.controller.admin.biz.vo.materialcategory.MaterialCategorySaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.MaterialCategoryDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 物资类别 Service 接口
 */
public interface MaterialCategoryService {

    Long create(@Valid MaterialCategorySaveReqVO createReqVO);

    void update(@Valid MaterialCategorySaveReqVO updateReqVO);

    void delete(Long id);

    MaterialCategoryDO get(Long id);

    List<MaterialCategoryDO> getList(Long[] tenantIds);

    /**
     * 获取物资类别树形结构
     *
     * @param tenantIds 租户 ID 数组
     * @return 树形结构列表
     */
    List<MaterialCategoryDO> getTree(Long[] tenantIds);

}

